`timescale 1 ns/100 ps
// Version: 8.5 SP1 8.5.1.13


module Ram8kx8(WD,RD,WEN,REN,WADDR,RADDR,WCLK,RCLK);
input [7:0] WD;
output [7:0] RD;
input  WEN, REN;
input [12:0] WADDR, RADDR;
input WCLK, RCLK;

    wire WEAP, WEBP, ADDRA_FF2_0_net, ADDRB_FF2_0_net, 
        ENABLE_ADDRA_0_net, ENABLE_ADDRA_1_net, 
        ENABLE_ADDRB_0_net, ENABLE_ADDRB_1_net, BLKA_EN_0_net, 
        BLKB_EN_0_net, BLKA_EN_1_net, BLKB_EN_1_net, 
        QX_TEMPR0_0_net, QX_TEMPR1_0_net, QX_TEMPR0_1_net, 
        QX_TEMPR1_1_net, QX_TEMPR0_2_net, QX_TEMPR1_2_net, 
        QX_TEMPR0_3_net, QX_TEMPR1_3_net, QX_TEMPR0_4_net, 
        QX_TEMPR1_4_net, QX_TEMPR0_5_net, QX_TEMPR1_5_net, 
        QX_TEMPR0_6_net, QX_TEMPR1_6_net, QX_TEMPR0_7_net, 
        QX_TEMPR1_7_net, VCC, GND;
    
    VCC VCC_1_net(.Y(VCC));
    GND GND_1_net(.Y(GND));
    INV INV_ENABLE_ADDRB_1_inst(.A(RADDR[12]), .Y(
        ENABLE_ADDRB_1_net));
    MX2 MX2_RD_4_inst(.A(QX_TEMPR0_4_net), .B(QX_TEMPR1_4_net), 
        .S(ADDRB_FF2_0_net), .Y(RD[4]));
    MX2 MX2_RD_3_inst(.A(QX_TEMPR0_3_net), .B(QX_TEMPR1_3_net), 
        .S(ADDRB_FF2_0_net), .Y(RD[3]));
    MX2 MX2_RD_6_inst(.A(QX_TEMPR0_6_net), .B(QX_TEMPR1_6_net), 
        .S(ADDRB_FF2_0_net), .Y(RD[6]));
    RAM4K9 #( .MEMORYFILE("Ram8kx8_R1C5.mem") )  Ram8kx8_R1C5(
        .ADDRA11(WADDR[11]), .ADDRA10(WADDR[10]), .ADDRA9(
        WADDR[9]), .ADDRA8(WADDR[8]), .ADDRA7(WADDR[7]), .ADDRA6(
        WADDR[6]), .ADDRA5(WADDR[5]), .ADDRA4(WADDR[4]), .ADDRA3(
        WADDR[3]), .ADDRA2(WADDR[2]), .ADDRA1(WADDR[1]), .ADDRA0(
        WADDR[0]), .ADDRB11(RADDR[11]), .ADDRB10(RADDR[10]), 
        .ADDRB9(RADDR[9]), .ADDRB8(RADDR[8]), .ADDRB7(RADDR[7]), 
        .ADDRB6(RADDR[6]), .ADDRB5(RADDR[5]), .ADDRB4(RADDR[4]), 
        .ADDRB3(RADDR[3]), .ADDRB2(RADDR[2]), .ADDRB1(RADDR[1]), 
        .ADDRB0(RADDR[0]), .DINA8(GND), .DINA7(GND), .DINA6(GND), 
        .DINA5(GND), .DINA4(GND), .DINA3(GND), .DINA2(GND), 
        .DINA1(GND), .DINA0(WD[5]), .DINB8(GND), .DINB7(GND), 
        .DINB6(GND), .DINB5(GND), .DINB4(GND), .DINB3(GND), 
        .DINB2(GND), .DINB1(GND), .DINB0(GND), .WIDTHA0(GND), 
        .WIDTHA1(GND), .WIDTHB0(GND), .WIDTHB1(GND), .PIPEA(GND), 
        .PIPEB(GND), .WMODEA(GND), .WMODEB(GND), .BLKA(
        BLKA_EN_1_net), .BLKB(BLKB_EN_1_net), .WENA(GND), .WENB(
        VCC), .CLKA(WCLK), .CLKB(RCLK), .RESET(VCC), .DOUTA8(), 
        .DOUTA7(), .DOUTA6(), .DOUTA5(), .DOUTA4(), .DOUTA3(), 
        .DOUTA2(), .DOUTA1(), .DOUTA0(), .DOUTB8(), .DOUTB7(), 
        .DOUTB6(), .DOUTB5(), .DOUTB4(), .DOUTB3(), .DOUTB2(), 
        .DOUTB1(), .DOUTB0(QX_TEMPR1_5_net));
    OR2 ORB_GATE_1_inst(.A(ENABLE_ADDRB_1_net), .B(WEBP), .Y(
        BLKB_EN_1_net));
    OR2 ORA_GATE_1_inst(.A(ENABLE_ADDRA_1_net), .B(WEAP), .Y(
        BLKA_EN_1_net));
    MX2 MX2_RD_2_inst(.A(QX_TEMPR0_2_net), .B(QX_TEMPR1_2_net), 
        .S(ADDRB_FF2_0_net), .Y(RD[2]));
    MX2 MX2_RD_5_inst(.A(QX_TEMPR0_5_net), .B(QX_TEMPR1_5_net), 
        .S(ADDRB_FF2_0_net), .Y(RD[5]));
    BUFF BUFF_ENABLE_ADDRB_0_inst(.A(RADDR[12]), .Y(
        ENABLE_ADDRB_0_net));
    INV INV_ENABLE_ADDRA_1_inst(.A(WADDR[12]), .Y(
        ENABLE_ADDRA_1_net));
    RAM4K9 #( .MEMORYFILE("Ram8kx8_R1C2.mem") )  Ram8kx8_R1C2(
        .ADDRA11(WADDR[11]), .ADDRA10(WADDR[10]), .ADDRA9(
        WADDR[9]), .ADDRA8(WADDR[8]), .ADDRA7(WADDR[7]), .ADDRA6(
        WADDR[6]), .ADDRA5(WADDR[5]), .ADDRA4(WADDR[4]), .ADDRA3(
        WADDR[3]), .ADDRA2(WADDR[2]), .ADDRA1(WADDR[1]), .ADDRA0(
        WADDR[0]), .ADDRB11(RADDR[11]), .ADDRB10(RADDR[10]), 
        .ADDRB9(RADDR[9]), .ADDRB8(RADDR[8]), .ADDRB7(RADDR[7]), 
        .ADDRB6(RADDR[6]), .ADDRB5(RADDR[5]), .ADDRB4(RADDR[4]), 
        .ADDRB3(RADDR[3]), .ADDRB2(RADDR[2]), .ADDRB1(RADDR[1]), 
        .ADDRB0(RADDR[0]), .DINA8(GND), .DINA7(GND), .DINA6(GND), 
        .DINA5(GND), .DINA4(GND), .DINA3(GND), .DINA2(GND), 
        .DINA1(GND), .DINA0(WD[2]), .DINB8(GND), .DINB7(GND), 
        .DINB6(GND), .DINB5(GND), .DINB4(GND), .DINB3(GND), 
        .DINB2(GND), .DINB1(GND), .DINB0(GND), .WIDTHA0(GND), 
        .WIDTHA1(GND), .WIDTHB0(GND), .WIDTHB1(GND), .PIPEA(GND), 
        .PIPEB(GND), .WMODEA(GND), .WMODEB(GND), .BLKA(
        BLKA_EN_1_net), .BLKB(BLKB_EN_1_net), .WENA(GND), .WENB(
        VCC), .CLKA(WCLK), .CLKB(RCLK), .RESET(VCC), .DOUTA8(), 
        .DOUTA7(), .DOUTA6(), .DOUTA5(), .DOUTA4(), .DOUTA3(), 
        .DOUTA2(), .DOUTA1(), .DOUTA0(), .DOUTB8(), .DOUTB7(), 
        .DOUTB6(), .DOUTB5(), .DOUTB4(), .DOUTB3(), .DOUTB2(), 
        .DOUTB1(), .DOUTB0(QX_TEMPR1_2_net));
    RAM4K9 #( .MEMORYFILE("Ram8kx8_R1C1.mem") )  Ram8kx8_R1C1(
        .ADDRA11(WADDR[11]), .ADDRA10(WADDR[10]), .ADDRA9(
        WADDR[9]), .ADDRA8(WADDR[8]), .ADDRA7(WADDR[7]), .ADDRA6(
        WADDR[6]), .ADDRA5(WADDR[5]), .ADDRA4(WADDR[4]), .ADDRA3(
        WADDR[3]), .ADDRA2(WADDR[2]), .ADDRA1(WADDR[1]), .ADDRA0(
        WADDR[0]), .ADDRB11(RADDR[11]), .ADDRB10(RADDR[10]), 
        .ADDRB9(RADDR[9]), .ADDRB8(RADDR[8]), .ADDRB7(RADDR[7]), 
        .ADDRB6(RADDR[6]), .ADDRB5(RADDR[5]), .ADDRB4(RADDR[4]), 
        .ADDRB3(RADDR[3]), .ADDRB2(RADDR[2]), .ADDRB1(RADDR[1]), 
        .ADDRB0(RADDR[0]), .DINA8(GND), .DINA7(GND), .DINA6(GND), 
        .DINA5(GND), .DINA4(GND), .DINA3(GND), .DINA2(GND), 
        .DINA1(GND), .DINA0(WD[1]), .DINB8(GND), .DINB7(GND), 
        .DINB6(GND), .DINB5(GND), .DINB4(GND), .DINB3(GND), 
        .DINB2(GND), .DINB1(GND), .DINB0(GND), .WIDTHA0(GND), 
        .WIDTHA1(GND), .WIDTHB0(GND), .WIDTHB1(GND), .PIPEA(GND), 
        .PIPEB(GND), .WMODEA(GND), .WMODEB(GND), .BLKA(
        BLKA_EN_1_net), .BLKB(BLKB_EN_1_net), .WENA(GND), .WENB(
        VCC), .CLKA(WCLK), .CLKB(RCLK), .RESET(VCC), .DOUTA8(), 
        .DOUTA7(), .DOUTA6(), .DOUTA5(), .DOUTA4(), .DOUTA3(), 
        .DOUTA2(), .DOUTA1(), .DOUTA0(), .DOUTB8(), .DOUTB7(), 
        .DOUTB6(), .DOUTB5(), .DOUTB4(), .DOUTB3(), .DOUTB2(), 
        .DOUTB1(), .DOUTB0(QX_TEMPR1_1_net));
    RAM4K9 #( .MEMORYFILE("Ram8kx8_R0C6.mem") )  Ram8kx8_R0C6(
        .ADDRA11(WADDR[11]), .ADDRA10(WADDR[10]), .ADDRA9(
        WADDR[9]), .ADDRA8(WADDR[8]), .ADDRA7(WADDR[7]), .ADDRA6(
        WADDR[6]), .ADDRA5(WADDR[5]), .ADDRA4(WADDR[4]), .ADDRA3(
        WADDR[3]), .ADDRA2(WADDR[2]), .ADDRA1(WADDR[1]), .ADDRA0(
        WADDR[0]), .ADDRB11(RADDR[11]), .ADDRB10(RADDR[10]), 
        .ADDRB9(RADDR[9]), .ADDRB8(RADDR[8]), .ADDRB7(RADDR[7]), 
        .ADDRB6(RADDR[6]), .ADDRB5(RADDR[5]), .ADDRB4(RADDR[4]), 
        .ADDRB3(RADDR[3]), .ADDRB2(RADDR[2]), .ADDRB1(RADDR[1]), 
        .ADDRB0(RADDR[0]), .DINA8(GND), .DINA7(GND), .DINA6(GND), 
        .DINA5(GND), .DINA4(GND), .DINA3(GND), .DINA2(GND), 
        .DINA1(GND), .DINA0(WD[6]), .DINB8(GND), .DINB7(GND), 
        .DINB6(GND), .DINB5(GND), .DINB4(GND), .DINB3(GND), 
        .DINB2(GND), .DINB1(GND), .DINB0(GND), .WIDTHA0(GND), 
        .WIDTHA1(GND), .WIDTHB0(GND), .WIDTHB1(GND), .PIPEA(GND), 
        .PIPEB(GND), .WMODEA(GND), .WMODEB(GND), .BLKA(
        BLKA_EN_0_net), .BLKB(BLKB_EN_0_net), .WENA(GND), .WENB(
        VCC), .CLKA(WCLK), .CLKB(RCLK), .RESET(VCC), .DOUTA8(), 
        .DOUTA7(), .DOUTA6(), .DOUTA5(), .DOUTA4(), .DOUTA3(), 
        .DOUTA2(), .DOUTA1(), .DOUTA0(), .DOUTB8(), .DOUTB7(), 
        .DOUTB6(), .DOUTB5(), .DOUTB4(), .DOUTB3(), .DOUTB2(), 
        .DOUTB1(), .DOUTB0(QX_TEMPR0_6_net));
    MX2 MX2_RD_1_inst(.A(QX_TEMPR0_1_net), .B(QX_TEMPR1_1_net), 
        .S(ADDRB_FF2_0_net), .Y(RD[1]));
    RAM4K9 #( .MEMORYFILE("Ram8kx8_R0C0.mem") )  Ram8kx8_R0C0(
        .ADDRA11(WADDR[11]), .ADDRA10(WADDR[10]), .ADDRA9(
        WADDR[9]), .ADDRA8(WADDR[8]), .ADDRA7(WADDR[7]), .ADDRA6(
        WADDR[6]), .ADDRA5(WADDR[5]), .ADDRA4(WADDR[4]), .ADDRA3(
        WADDR[3]), .ADDRA2(WADDR[2]), .ADDRA1(WADDR[1]), .ADDRA0(
        WADDR[0]), .ADDRB11(RADDR[11]), .ADDRB10(RADDR[10]), 
        .ADDRB9(RADDR[9]), .ADDRB8(RADDR[8]), .ADDRB7(RADDR[7]), 
        .ADDRB6(RADDR[6]), .ADDRB5(RADDR[5]), .ADDRB4(RADDR[4]), 
        .ADDRB3(RADDR[3]), .ADDRB2(RADDR[2]), .ADDRB1(RADDR[1]), 
        .ADDRB0(RADDR[0]), .DINA8(GND), .DINA7(GND), .DINA6(GND), 
        .DINA5(GND), .DINA4(GND), .DINA3(GND), .DINA2(GND), 
        .DINA1(GND), .DINA0(WD[0]), .DINB8(GND), .DINB7(GND), 
        .DINB6(GND), .DINB5(GND), .DINB4(GND), .DINB3(GND), 
        .DINB2(GND), .DINB1(GND), .DINB0(GND), .WIDTHA0(GND), 
        .WIDTHA1(GND), .WIDTHB0(GND), .WIDTHB1(GND), .PIPEA(GND), 
        .PIPEB(GND), .WMODEA(GND), .WMODEB(GND), .BLKA(
        BLKA_EN_0_net), .BLKB(BLKB_EN_0_net), .WENA(GND), .WENB(
        VCC), .CLKA(WCLK), .CLKB(RCLK), .RESET(VCC), .DOUTA8(), 
        .DOUTA7(), .DOUTA6(), .DOUTA5(), .DOUTA4(), .DOUTA3(), 
        .DOUTA2(), .DOUTA1(), .DOUTA0(), .DOUTB8(), .DOUTB7(), 
        .DOUTB6(), .DOUTB5(), .DOUTB4(), .DOUTB3(), .DOUTB2(), 
        .DOUTB1(), .DOUTB0(QX_TEMPR0_0_net));
    DFN1 AFF1_0_inst(.D(WADDR[12]), .CLK(WCLK), .Q(
        ADDRA_FF2_0_net));
    MX2 MX2_RD_7_inst(.A(QX_TEMPR0_7_net), .B(QX_TEMPR1_7_net), 
        .S(ADDRB_FF2_0_net), .Y(RD[7]));
    INV WEBUBBLEB(.A(REN), .Y(WEBP));
    RAM4K9 #( .MEMORYFILE("Ram8kx8_R1C4.mem") )  Ram8kx8_R1C4(
        .ADDRA11(WADDR[11]), .ADDRA10(WADDR[10]), .ADDRA9(
        WADDR[9]), .ADDRA8(WADDR[8]), .ADDRA7(WADDR[7]), .ADDRA6(
        WADDR[6]), .ADDRA5(WADDR[5]), .ADDRA4(WADDR[4]), .ADDRA3(
        WADDR[3]), .ADDRA2(WADDR[2]), .ADDRA1(WADDR[1]), .ADDRA0(
        WADDR[0]), .ADDRB11(RADDR[11]), .ADDRB10(RADDR[10]), 
        .ADDRB9(RADDR[9]), .ADDRB8(RADDR[8]), .ADDRB7(RADDR[7]), 
        .ADDRB6(RADDR[6]), .ADDRB5(RADDR[5]), .ADDRB4(RADDR[4]), 
        .ADDRB3(RADDR[3]), .ADDRB2(RADDR[2]), .ADDRB1(RADDR[1]), 
        .ADDRB0(RADDR[0]), .DINA8(GND), .DINA7(GND), .DINA6(GND), 
        .DINA5(GND), .DINA4(GND), .DINA3(GND), .DINA2(GND), 
        .DINA1(GND), .DINA0(WD[4]), .DINB8(GND), .DINB7(GND), 
        .DINB6(GND), .DINB5(GND), .DINB4(GND), .DINB3(GND), 
        .DINB2(GND), .DINB1(GND), .DINB0(GND), .WIDTHA0(GND), 
        .WIDTHA1(GND), .WIDTHB0(GND), .WIDTHB1(GND), .PIPEA(GND), 
        .PIPEB(GND), .WMODEA(GND), .WMODEB(GND), .BLKA(
        BLKA_EN_1_net), .BLKB(BLKB_EN_1_net), .WENA(GND), .WENB(
        VCC), .CLKA(WCLK), .CLKB(RCLK), .RESET(VCC), .DOUTA8(), 
        .DOUTA7(), .DOUTA6(), .DOUTA5(), .DOUTA4(), .DOUTA3(), 
        .DOUTA2(), .DOUTA1(), .DOUTA0(), .DOUTB8(), .DOUTB7(), 
        .DOUTB6(), .DOUTB5(), .DOUTB4(), .DOUTB3(), .DOUTB2(), 
        .DOUTB1(), .DOUTB0(QX_TEMPR1_4_net));
    DFN1 BFF1_0_inst(.D(RADDR[12]), .CLK(RCLK), .Q(
        ADDRB_FF2_0_net));
    OR2 ORB_GATE_0_inst(.A(ENABLE_ADDRB_0_net), .B(WEBP), .Y(
        BLKB_EN_0_net));
    BUFF BUFF_ENABLE_ADDRA_0_inst(.A(WADDR[12]), .Y(
        ENABLE_ADDRA_0_net));
    RAM4K9 #( .MEMORYFILE("Ram8kx8_R0C3.mem") )  Ram8kx8_R0C3(
        .ADDRA11(WADDR[11]), .ADDRA10(WADDR[10]), .ADDRA9(
        WADDR[9]), .ADDRA8(WADDR[8]), .ADDRA7(WADDR[7]), .ADDRA6(
        WADDR[6]), .ADDRA5(WADDR[5]), .ADDRA4(WADDR[4]), .ADDRA3(
        WADDR[3]), .ADDRA2(WADDR[2]), .ADDRA1(WADDR[1]), .ADDRA0(
        WADDR[0]), .ADDRB11(RADDR[11]), .ADDRB10(RADDR[10]), 
        .ADDRB9(RADDR[9]), .ADDRB8(RADDR[8]), .ADDRB7(RADDR[7]), 
        .ADDRB6(RADDR[6]), .ADDRB5(RADDR[5]), .ADDRB4(RADDR[4]), 
        .ADDRB3(RADDR[3]), .ADDRB2(RADDR[2]), .ADDRB1(RADDR[1]), 
        .ADDRB0(RADDR[0]), .DINA8(GND), .DINA7(GND), .DINA6(GND), 
        .DINA5(GND), .DINA4(GND), .DINA3(GND), .DINA2(GND), 
        .DINA1(GND), .DINA0(WD[3]), .DINB8(GND), .DINB7(GND), 
        .DINB6(GND), .DINB5(GND), .DINB4(GND), .DINB3(GND), 
        .DINB2(GND), .DINB1(GND), .DINB0(GND), .WIDTHA0(GND), 
        .WIDTHA1(GND), .WIDTHB0(GND), .WIDTHB1(GND), .PIPEA(GND), 
        .PIPEB(GND), .WMODEA(GND), .WMODEB(GND), .BLKA(
        BLKA_EN_0_net), .BLKB(BLKB_EN_0_net), .WENA(GND), .WENB(
        VCC), .CLKA(WCLK), .CLKB(RCLK), .RESET(VCC), .DOUTA8(), 
        .DOUTA7(), .DOUTA6(), .DOUTA5(), .DOUTA4(), .DOUTA3(), 
        .DOUTA2(), .DOUTA1(), .DOUTA0(), .DOUTB8(), .DOUTB7(), 
        .DOUTB6(), .DOUTB5(), .DOUTB4(), .DOUTB3(), .DOUTB2(), 
        .DOUTB1(), .DOUTB0(QX_TEMPR0_3_net));
    OR2 ORA_GATE_0_inst(.A(ENABLE_ADDRA_0_net), .B(WEAP), .Y(
        BLKA_EN_0_net));
    RAM4K9 #( .MEMORYFILE("Ram8kx8_R0C7.mem") )  Ram8kx8_R0C7(
        .ADDRA11(WADDR[11]), .ADDRA10(WADDR[10]), .ADDRA9(
        WADDR[9]), .ADDRA8(WADDR[8]), .ADDRA7(WADDR[7]), .ADDRA6(
        WADDR[6]), .ADDRA5(WADDR[5]), .ADDRA4(WADDR[4]), .ADDRA3(
        WADDR[3]), .ADDRA2(WADDR[2]), .ADDRA1(WADDR[1]), .ADDRA0(
        WADDR[0]), .ADDRB11(RADDR[11]), .ADDRB10(RADDR[10]), 
        .ADDRB9(RADDR[9]), .ADDRB8(RADDR[8]), .ADDRB7(RADDR[7]), 
        .ADDRB6(RADDR[6]), .ADDRB5(RADDR[5]), .ADDRB4(RADDR[4]), 
        .ADDRB3(RADDR[3]), .ADDRB2(RADDR[2]), .ADDRB1(RADDR[1]), 
        .ADDRB0(RADDR[0]), .DINA8(GND), .DINA7(GND), .DINA6(GND), 
        .DINA5(GND), .DINA4(GND), .DINA3(GND), .DINA2(GND), 
        .DINA1(GND), .DINA0(WD[7]), .DINB8(GND), .DINB7(GND), 
        .DINB6(GND), .DINB5(GND), .DINB4(GND), .DINB3(GND), 
        .DINB2(GND), .DINB1(GND), .DINB0(GND), .WIDTHA0(GND), 
        .WIDTHA1(GND), .WIDTHB0(GND), .WIDTHB1(GND), .PIPEA(GND), 
        .PIPEB(GND), .WMODEA(GND), .WMODEB(GND), .BLKA(
        BLKA_EN_0_net), .BLKB(BLKB_EN_0_net), .WENA(GND), .WENB(
        VCC), .CLKA(WCLK), .CLKB(RCLK), .RESET(VCC), .DOUTA8(), 
        .DOUTA7(), .DOUTA6(), .DOUTA5(), .DOUTA4(), .DOUTA3(), 
        .DOUTA2(), .DOUTA1(), .DOUTA0(), .DOUTB8(), .DOUTB7(), 
        .DOUTB6(), .DOUTB5(), .DOUTB4(), .DOUTB3(), .DOUTB2(), 
        .DOUTB1(), .DOUTB0(QX_TEMPR0_7_net));
    RAM4K9 #( .MEMORYFILE("Ram8kx8_R1C6.mem") )  Ram8kx8_R1C6(
        .ADDRA11(WADDR[11]), .ADDRA10(WADDR[10]), .ADDRA9(
        WADDR[9]), .ADDRA8(WADDR[8]), .ADDRA7(WADDR[7]), .ADDRA6(
        WADDR[6]), .ADDRA5(WADDR[5]), .ADDRA4(WADDR[4]), .ADDRA3(
        WADDR[3]), .ADDRA2(WADDR[2]), .ADDRA1(WADDR[1]), .ADDRA0(
        WADDR[0]), .ADDRB11(RADDR[11]), .ADDRB10(RADDR[10]), 
        .ADDRB9(RADDR[9]), .ADDRB8(RADDR[8]), .ADDRB7(RADDR[7]), 
        .ADDRB6(RADDR[6]), .ADDRB5(RADDR[5]), .ADDRB4(RADDR[4]), 
        .ADDRB3(RADDR[3]), .ADDRB2(RADDR[2]), .ADDRB1(RADDR[1]), 
        .ADDRB0(RADDR[0]), .DINA8(GND), .DINA7(GND), .DINA6(GND), 
        .DINA5(GND), .DINA4(GND), .DINA3(GND), .DINA2(GND), 
        .DINA1(GND), .DINA0(WD[6]), .DINB8(GND), .DINB7(GND), 
        .DINB6(GND), .DINB5(GND), .DINB4(GND), .DINB3(GND), 
        .DINB2(GND), .DINB1(GND), .DINB0(GND), .WIDTHA0(GND), 
        .WIDTHA1(GND), .WIDTHB0(GND), .WIDTHB1(GND), .PIPEA(GND), 
        .PIPEB(GND), .WMODEA(GND), .WMODEB(GND), .BLKA(
        BLKA_EN_1_net), .BLKB(BLKB_EN_1_net), .WENA(GND), .WENB(
        VCC), .CLKA(WCLK), .CLKB(RCLK), .RESET(VCC), .DOUTA8(), 
        .DOUTA7(), .DOUTA6(), .DOUTA5(), .DOUTA4(), .DOUTA3(), 
        .DOUTA2(), .DOUTA1(), .DOUTA0(), .DOUTB8(), .DOUTB7(), 
        .DOUTB6(), .DOUTB5(), .DOUTB4(), .DOUTB3(), .DOUTB2(), 
        .DOUTB1(), .DOUTB0(QX_TEMPR1_6_net));
    RAM4K9 #( .MEMORYFILE("Ram8kx8_R0C2.mem") )  Ram8kx8_R0C2(
        .ADDRA11(WADDR[11]), .ADDRA10(WADDR[10]), .ADDRA9(
        WADDR[9]), .ADDRA8(WADDR[8]), .ADDRA7(WADDR[7]), .ADDRA6(
        WADDR[6]), .ADDRA5(WADDR[5]), .ADDRA4(WADDR[4]), .ADDRA3(
        WADDR[3]), .ADDRA2(WADDR[2]), .ADDRA1(WADDR[1]), .ADDRA0(
        WADDR[0]), .ADDRB11(RADDR[11]), .ADDRB10(RADDR[10]), 
        .ADDRB9(RADDR[9]), .ADDRB8(RADDR[8]), .ADDRB7(RADDR[7]), 
        .ADDRB6(RADDR[6]), .ADDRB5(RADDR[5]), .ADDRB4(RADDR[4]), 
        .ADDRB3(RADDR[3]), .ADDRB2(RADDR[2]), .ADDRB1(RADDR[1]), 
        .ADDRB0(RADDR[0]), .DINA8(GND), .DINA7(GND), .DINA6(GND), 
        .DINA5(GND), .DINA4(GND), .DINA3(GND), .DINA2(GND), 
        .DINA1(GND), .DINA0(WD[2]), .DINB8(GND), .DINB7(GND), 
        .DINB6(GND), .DINB5(GND), .DINB4(GND), .DINB3(GND), 
        .DINB2(GND), .DINB1(GND), .DINB0(GND), .WIDTHA0(GND), 
        .WIDTHA1(GND), .WIDTHB0(GND), .WIDTHB1(GND), .PIPEA(GND), 
        .PIPEB(GND), .WMODEA(GND), .WMODEB(GND), .BLKA(
        BLKA_EN_0_net), .BLKB(BLKB_EN_0_net), .WENA(GND), .WENB(
        VCC), .CLKA(WCLK), .CLKB(RCLK), .RESET(VCC), .DOUTA8(), 
        .DOUTA7(), .DOUTA6(), .DOUTA5(), .DOUTA4(), .DOUTA3(), 
        .DOUTA2(), .DOUTA1(), .DOUTA0(), .DOUTB8(), .DOUTB7(), 
        .DOUTB6(), .DOUTB5(), .DOUTB4(), .DOUTB3(), .DOUTB2(), 
        .DOUTB1(), .DOUTB0(QX_TEMPR0_2_net));
    MX2 MX2_RD_0_inst(.A(QX_TEMPR0_0_net), .B(QX_TEMPR1_0_net), 
        .S(ADDRB_FF2_0_net), .Y(RD[0]));
    RAM4K9 #( .MEMORYFILE("Ram8kx8_R0C5.mem") )  Ram8kx8_R0C5(
        .ADDRA11(WADDR[11]), .ADDRA10(WADDR[10]), .ADDRA9(
        WADDR[9]), .ADDRA8(WADDR[8]), .ADDRA7(WADDR[7]), .ADDRA6(
        WADDR[6]), .ADDRA5(WADDR[5]), .ADDRA4(WADDR[4]), .ADDRA3(
        WADDR[3]), .ADDRA2(WADDR[2]), .ADDRA1(WADDR[1]), .ADDRA0(
        WADDR[0]), .ADDRB11(RADDR[11]), .ADDRB10(RADDR[10]), 
        .ADDRB9(RADDR[9]), .ADDRB8(RADDR[8]), .ADDRB7(RADDR[7]), 
        .ADDRB6(RADDR[6]), .ADDRB5(RADDR[5]), .ADDRB4(RADDR[4]), 
        .ADDRB3(RADDR[3]), .ADDRB2(RADDR[2]), .ADDRB1(RADDR[1]), 
        .ADDRB0(RADDR[0]), .DINA8(GND), .DINA7(GND), .DINA6(GND), 
        .DINA5(GND), .DINA4(GND), .DINA3(GND), .DINA2(GND), 
        .DINA1(GND), .DINA0(WD[5]), .DINB8(GND), .DINB7(GND), 
        .DINB6(GND), .DINB5(GND), .DINB4(GND), .DINB3(GND), 
        .DINB2(GND), .DINB1(GND), .DINB0(GND), .WIDTHA0(GND), 
        .WIDTHA1(GND), .WIDTHB0(GND), .WIDTHB1(GND), .PIPEA(GND), 
        .PIPEB(GND), .WMODEA(GND), .WMODEB(GND), .BLKA(
        BLKA_EN_0_net), .BLKB(BLKB_EN_0_net), .WENA(GND), .WENB(
        VCC), .CLKA(WCLK), .CLKB(RCLK), .RESET(VCC), .DOUTA8(), 
        .DOUTA7(), .DOUTA6(), .DOUTA5(), .DOUTA4(), .DOUTA3(), 
        .DOUTA2(), .DOUTA1(), .DOUTA0(), .DOUTB8(), .DOUTB7(), 
        .DOUTB6(), .DOUTB5(), .DOUTB4(), .DOUTB3(), .DOUTB2(), 
        .DOUTB1(), .DOUTB0(QX_TEMPR0_5_net));
    RAM4K9 #( .MEMORYFILE("Ram8kx8_R0C4.mem") )  Ram8kx8_R0C4(
        .ADDRA11(WADDR[11]), .ADDRA10(WADDR[10]), .ADDRA9(
        WADDR[9]), .ADDRA8(WADDR[8]), .ADDRA7(WADDR[7]), .ADDRA6(
        WADDR[6]), .ADDRA5(WADDR[5]), .ADDRA4(WADDR[4]), .ADDRA3(
        WADDR[3]), .ADDRA2(WADDR[2]), .ADDRA1(WADDR[1]), .ADDRA0(
        WADDR[0]), .ADDRB11(RADDR[11]), .ADDRB10(RADDR[10]), 
        .ADDRB9(RADDR[9]), .ADDRB8(RADDR[8]), .ADDRB7(RADDR[7]), 
        .ADDRB6(RADDR[6]), .ADDRB5(RADDR[5]), .ADDRB4(RADDR[4]), 
        .ADDRB3(RADDR[3]), .ADDRB2(RADDR[2]), .ADDRB1(RADDR[1]), 
        .ADDRB0(RADDR[0]), .DINA8(GND), .DINA7(GND), .DINA6(GND), 
        .DINA5(GND), .DINA4(GND), .DINA3(GND), .DINA2(GND), 
        .DINA1(GND), .DINA0(WD[4]), .DINB8(GND), .DINB7(GND), 
        .DINB6(GND), .DINB5(GND), .DINB4(GND), .DINB3(GND), 
        .DINB2(GND), .DINB1(GND), .DINB0(GND), .WIDTHA0(GND), 
        .WIDTHA1(GND), .WIDTHB0(GND), .WIDTHB1(GND), .PIPEA(GND), 
        .PIPEB(GND), .WMODEA(GND), .WMODEB(GND), .BLKA(
        BLKA_EN_0_net), .BLKB(BLKB_EN_0_net), .WENA(GND), .WENB(
        VCC), .CLKA(WCLK), .CLKB(RCLK), .RESET(VCC), .DOUTA8(), 
        .DOUTA7(), .DOUTA6(), .DOUTA5(), .DOUTA4(), .DOUTA3(), 
        .DOUTA2(), .DOUTA1(), .DOUTA0(), .DOUTB8(), .DOUTB7(), 
        .DOUTB6(), .DOUTB5(), .DOUTB4(), .DOUTB3(), .DOUTB2(), 
        .DOUTB1(), .DOUTB0(QX_TEMPR0_4_net));
    RAM4K9 #( .MEMORYFILE("Ram8kx8_R1C7.mem") )  Ram8kx8_R1C7(
        .ADDRA11(WADDR[11]), .ADDRA10(WADDR[10]), .ADDRA9(
        WADDR[9]), .ADDRA8(WADDR[8]), .ADDRA7(WADDR[7]), .ADDRA6(
        WADDR[6]), .ADDRA5(WADDR[5]), .ADDRA4(WADDR[4]), .ADDRA3(
        WADDR[3]), .ADDRA2(WADDR[2]), .ADDRA1(WADDR[1]), .ADDRA0(
        WADDR[0]), .ADDRB11(RADDR[11]), .ADDRB10(RADDR[10]), 
        .ADDRB9(RADDR[9]), .ADDRB8(RADDR[8]), .ADDRB7(RADDR[7]), 
        .ADDRB6(RADDR[6]), .ADDRB5(RADDR[5]), .ADDRB4(RADDR[4]), 
        .ADDRB3(RADDR[3]), .ADDRB2(RADDR[2]), .ADDRB1(RADDR[1]), 
        .ADDRB0(RADDR[0]), .DINA8(GND), .DINA7(GND), .DINA6(GND), 
        .DINA5(GND), .DINA4(GND), .DINA3(GND), .DINA2(GND), 
        .DINA1(GND), .DINA0(WD[7]), .DINB8(GND), .DINB7(GND), 
        .DINB6(GND), .DINB5(GND), .DINB4(GND), .DINB3(GND), 
        .DINB2(GND), .DINB1(GND), .DINB0(GND), .WIDTHA0(GND), 
        .WIDTHA1(GND), .WIDTHB0(GND), .WIDTHB1(GND), .PIPEA(GND), 
        .PIPEB(GND), .WMODEA(GND), .WMODEB(GND), .BLKA(
        BLKA_EN_1_net), .BLKB(BLKB_EN_1_net), .WENA(GND), .WENB(
        VCC), .CLKA(WCLK), .CLKB(RCLK), .RESET(VCC), .DOUTA8(), 
        .DOUTA7(), .DOUTA6(), .DOUTA5(), .DOUTA4(), .DOUTA3(), 
        .DOUTA2(), .DOUTA1(), .DOUTA0(), .DOUTB8(), .DOUTB7(), 
        .DOUTB6(), .DOUTB5(), .DOUTB4(), .DOUTB3(), .DOUTB2(), 
        .DOUTB1(), .DOUTB0(QX_TEMPR1_7_net));
    INV WEBUBBLEA(.A(WEN), .Y(WEAP));
    RAM4K9 #( .MEMORYFILE("Ram8kx8_R0C1.mem") )  Ram8kx8_R0C1(
        .ADDRA11(WADDR[11]), .ADDRA10(WADDR[10]), .ADDRA9(
        WADDR[9]), .ADDRA8(WADDR[8]), .ADDRA7(WADDR[7]), .ADDRA6(
        WADDR[6]), .ADDRA5(WADDR[5]), .ADDRA4(WADDR[4]), .ADDRA3(
        WADDR[3]), .ADDRA2(WADDR[2]), .ADDRA1(WADDR[1]), .ADDRA0(
        WADDR[0]), .ADDRB11(RADDR[11]), .ADDRB10(RADDR[10]), 
        .ADDRB9(RADDR[9]), .ADDRB8(RADDR[8]), .ADDRB7(RADDR[7]), 
        .ADDRB6(RADDR[6]), .ADDRB5(RADDR[5]), .ADDRB4(RADDR[4]), 
        .ADDRB3(RADDR[3]), .ADDRB2(RADDR[2]), .ADDRB1(RADDR[1]), 
        .ADDRB0(RADDR[0]), .DINA8(GND), .DINA7(GND), .DINA6(GND), 
        .DINA5(GND), .DINA4(GND), .DINA3(GND), .DINA2(GND), 
        .DINA1(GND), .DINA0(WD[1]), .DINB8(GND), .DINB7(GND), 
        .DINB6(GND), .DINB5(GND), .DINB4(GND), .DINB3(GND), 
        .DINB2(GND), .DINB1(GND), .DINB0(GND), .WIDTHA0(GND), 
        .WIDTHA1(GND), .WIDTHB0(GND), .WIDTHB1(GND), .PIPEA(GND), 
        .PIPEB(GND), .WMODEA(GND), .WMODEB(GND), .BLKA(
        BLKA_EN_0_net), .BLKB(BLKB_EN_0_net), .WENA(GND), .WENB(
        VCC), .CLKA(WCLK), .CLKB(RCLK), .RESET(VCC), .DOUTA8(), 
        .DOUTA7(), .DOUTA6(), .DOUTA5(), .DOUTA4(), .DOUTA3(), 
        .DOUTA2(), .DOUTA1(), .DOUTA0(), .DOUTB8(), .DOUTB7(), 
        .DOUTB6(), .DOUTB5(), .DOUTB4(), .DOUTB3(), .DOUTB2(), 
        .DOUTB1(), .DOUTB0(QX_TEMPR0_1_net));
    RAM4K9 #( .MEMORYFILE("Ram8kx8_R1C3.mem") )  Ram8kx8_R1C3(
        .ADDRA11(WADDR[11]), .ADDRA10(WADDR[10]), .ADDRA9(
        WADDR[9]), .ADDRA8(WADDR[8]), .ADDRA7(WADDR[7]), .ADDRA6(
        WADDR[6]), .ADDRA5(WADDR[5]), .ADDRA4(WADDR[4]), .ADDRA3(
        WADDR[3]), .ADDRA2(WADDR[2]), .ADDRA1(WADDR[1]), .ADDRA0(
        WADDR[0]), .ADDRB11(RADDR[11]), .ADDRB10(RADDR[10]), 
        .ADDRB9(RADDR[9]), .ADDRB8(RADDR[8]), .ADDRB7(RADDR[7]), 
        .ADDRB6(RADDR[6]), .ADDRB5(RADDR[5]), .ADDRB4(RADDR[4]), 
        .ADDRB3(RADDR[3]), .ADDRB2(RADDR[2]), .ADDRB1(RADDR[1]), 
        .ADDRB0(RADDR[0]), .DINA8(GND), .DINA7(GND), .DINA6(GND), 
        .DINA5(GND), .DINA4(GND), .DINA3(GND), .DINA2(GND), 
        .DINA1(GND), .DINA0(WD[3]), .DINB8(GND), .DINB7(GND), 
        .DINB6(GND), .DINB5(GND), .DINB4(GND), .DINB3(GND), 
        .DINB2(GND), .DINB1(GND), .DINB0(GND), .WIDTHA0(GND), 
        .WIDTHA1(GND), .WIDTHB0(GND), .WIDTHB1(GND), .PIPEA(GND), 
        .PIPEB(GND), .WMODEA(GND), .WMODEB(GND), .BLKA(
        BLKA_EN_1_net), .BLKB(BLKB_EN_1_net), .WENA(GND), .WENB(
        VCC), .CLKA(WCLK), .CLKB(RCLK), .RESET(VCC), .DOUTA8(), 
        .DOUTA7(), .DOUTA6(), .DOUTA5(), .DOUTA4(), .DOUTA3(), 
        .DOUTA2(), .DOUTA1(), .DOUTA0(), .DOUTB8(), .DOUTB7(), 
        .DOUTB6(), .DOUTB5(), .DOUTB4(), .DOUTB3(), .DOUTB2(), 
        .DOUTB1(), .DOUTB0(QX_TEMPR1_3_net));
    RAM4K9 #( .MEMORYFILE("Ram8kx8_R1C0.mem") )  Ram8kx8_R1C0(
        .ADDRA11(WADDR[11]), .ADDRA10(WADDR[10]), .ADDRA9(
        WADDR[9]), .ADDRA8(WADDR[8]), .ADDRA7(WADDR[7]), .ADDRA6(
        WADDR[6]), .ADDRA5(WADDR[5]), .ADDRA4(WADDR[4]), .ADDRA3(
        WADDR[3]), .ADDRA2(WADDR[2]), .ADDRA1(WADDR[1]), .ADDRA0(
        WADDR[0]), .ADDRB11(RADDR[11]), .ADDRB10(RADDR[10]), 
        .ADDRB9(RADDR[9]), .ADDRB8(RADDR[8]), .ADDRB7(RADDR[7]), 
        .ADDRB6(RADDR[6]), .ADDRB5(RADDR[5]), .ADDRB4(RADDR[4]), 
        .ADDRB3(RADDR[3]), .ADDRB2(RADDR[2]), .ADDRB1(RADDR[1]), 
        .ADDRB0(RADDR[0]), .DINA8(GND), .DINA7(GND), .DINA6(GND), 
        .DINA5(GND), .DINA4(GND), .DINA3(GND), .DINA2(GND), 
        .DINA1(GND), .DINA0(WD[0]), .DINB8(GND), .DINB7(GND), 
        .DINB6(GND), .DINB5(GND), .DINB4(GND), .DINB3(GND), 
        .DINB2(GND), .DINB1(GND), .DINB0(GND), .WIDTHA0(GND), 
        .WIDTHA1(GND), .WIDTHB0(GND), .WIDTHB1(GND), .PIPEA(GND), 
        .PIPEB(GND), .WMODEA(GND), .WMODEB(GND), .BLKA(
        BLKA_EN_1_net), .BLKB(BLKB_EN_1_net), .WENA(GND), .WENB(
        VCC), .CLKA(WCLK), .CLKB(RCLK), .RESET(VCC), .DOUTA8(), 
        .DOUTA7(), .DOUTA6(), .DOUTA5(), .DOUTA4(), .DOUTA3(), 
        .DOUTA2(), .DOUTA1(), .DOUTA0(), .DOUTB8(), .DOUTB7(), 
        .DOUTB6(), .DOUTB5(), .DOUTB4(), .DOUTB3(), .DOUTB2(), 
        .DOUTB1(), .DOUTB0(QX_TEMPR1_0_net));
    
endmodule
